Upgrade Portal from 10.5.1 to 10.6 fails

2574
7
01-30-2018 06:12 AM
KjellTimalm
New Contributor III

When upgrading Portal 10.5.1 to 10.6 I get the following error message in the log:

lc_collate values for database "postgres" do not match: old "Swedish_Sweden.1252", new "English_United States.1252"

Failure, exiting

Failed to upgrade the PostgreSQL from 9.3.12 to 9.6.3.

Someone else having the same problem?

Tags (1)
0 Kudos
7 Replies
JohnMax
New Contributor II

I received a similar error when upgrading from 10.5 to 10.6.1.  "Failed to upgrade the PostgreSQL from 9.3.12 to 9.6.8."

ESRI Support had me change the permissions on all the Portal folders (for example C:\Program Files\ArcGIS\Portal) and Python folder to "Full Control" for the Portal User prior to installation.  I was able to revert to 10.5 using a pre-install snapshot, change the folder permissions, installed 10.6.1 and it worked.

Hope this helps someone.

AntigoniKoffa
New Contributor II

I also had the same problem when trying to upgrade from 10.5.1 to 10.6.1, I got the error message "com.esri.arcgis.portal.admin.core.site.migration.MigrationException: Failed to upgrade the PostgreSQL from 9.3.12 to 9.6.8.".After checking the portal logs, I saw that "lc_collate values for database "postgres" do not match:  old "English_United States.1252", new "Greek_Greece.1253". So I guessed that maybe when the first installation was done, the Windows language settings were different, so from Windows Control Panel -> Clock, Language and Region -> Region, I changed the format to English(United States), performed the portal upgrade operation again and it completed ok.

LakshmananVenkatesan2
New Contributor II

I am facing similar issue while upgrading ArcGIS data store from 10.4 to 10.6.0 . Error message "upgrade from 9.3.4 to 9.6.3 is not supported esri arcgis datastore". I tried providing full permission on folders still did not help. Any clues?

0 Kudos
AntigoniKoffa
New Contributor II

Was your portal upgraded ok and the error only appears in Data Store upgrade? Better check the data store log files to see if there is a more specific message than the one that appears on your screen. In my case the log file stated different collate values and when I changed the Windows region to match the initial db collation value, the upgrade completed successfully.

0 Kudos
ZdeněkJankovský
Esri Contributor

Firstly it doesn't help to us either. Secondly I asked myself: "What windows user upgrade the postresql?" I think it is not logged-in administrator, but it is the ArcGIS Portal Windows account itself. So I make whole upgrade installation under Portal Windows user with adequate Windows region setting and it works.

0 Kudos
GangWang
New Contributor III

You saved my life. I had the exact same issue and your solution worked. 

0 Kudos
BarbaraS
New Contributor III

It is now registered as a bug: BUG-000127231: Installing and configuring Portal for ArcGIS when th.. 

I changed the settings for my AD user and it didn't work and will try now to change the settings for all users, also the local .\arcgis user and try again.

0 Kudos